Skip to main content
POST
Insights export

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
object_id
string
required

ID of campaign, ad set, or ad to export insights for

level
enum<string>
required

Level of insights to export

Available options:
account,
campaign,
adset,
ad
format
enum<string>
default:csv

Export format

Available options:
csv,
json
date_preset
enum<string>

Date preset for export

Available options:
today,
yesterday,
last_3d,
last_7d,
last_14d,
last_28d,
last_30d,
last_90d,
this_week_mon_today,
this_week_sun_today,
last_week_mon_sun,
last_week_sun_sat,
this_month,
last_month,
this_quarter,
last_quarter,
this_year,
last_year,
maximum,
data_maximum
time_range
object

Custom date range for export

fields
string[]

Specific fields to export

breakdowns
string[]

Breakdown dimensions to include

Response

200 - application/json

Success